.icon-grid-2{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
   
}

.icon-grid-3{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
 
}

.icon-grid-4{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
  
}

.icon-grid-5{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
}

.icon-grid-6{
    display: grid;
    grid-template-columns: repeat(6, 1fr);
  
}

.icon-links-wrap{
    padding: 10%;
}

 .icon-links-wrap.icon-style-1 .grid-item{
    padding-top: 100%;
}

 .icon-links-wrap.icon-style-2 .grid-item{
    padding-top: 0;
}

.icon-links-wrap.icon-style-2 {
    padding: 0;
}

.icon-style-1 .icon-wrap, .is-preview .icon-style-1 .icon-wrap{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: #164A6A;
    border: 5px solid #ECA840;
    color: #ffffff;
    text-align: center;
    padding: 25px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.icon-style-1 .icon-wrap .icon-text{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background:#116EB2;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5%;
    opacity: 0;
}

.icon-style-1 .icon-wrap:hover .icon-text{
    opacity: 0.9;
}

.icon-style-1 .icon-wrap:hover .icon-img{
    scale: 1.2;
}

.icon-style-2 .icon-wrap, .is-preview .icon-style-2 .icon-wrap{
    position: relative;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    color: #ffffff;
    text-align: center;
    padding: 25px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.icon-img{
    width: 55%;
    margin: 0 auto;
}

.icon-style-1 .icon-text p{
    margin: 0;
    color: white;
}

.icon-style-2 .icon-text p{
    margin: 0;
    color: #555;
}


.icon-text h3{
    margin: 0 0 25px;
}



.icon-style-1 h2, .icon-style-1 h3, .icon-style-1 h4, .icon-style-1 h5, .icon-style-1 h6{
    color: #ffffff;
}

.icon-style-2 h2, .icon-style-2 h3, .icon-style-2 h4, .icon-style-2 h5, .icon-style-2 h6{
    color: #164A6A;
}

.icon-text-box{
    background: #164A6A;
    border: 5px solid #ECA840;
    color: #ffffff;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    padding: 10%;
}

.icon-text-box h2, .icon-links-wrap h2{
    margin-top:0;
}

.icon-links-grid{
   grid-template-columns: repeat(2,1fr);
   grid-gap: 0;
}

.icon-text h4{
    font-size: 22x;
}

@media only screen 
  and (min-width: 0px) 
  and (max-width: 768px) 
{ 
    .icon-grid-2{grid-template-columns: repeat(1, 1fr); }
    .icon-grid-3{grid-template-columns: repeat(1, 1fr);}  
    .icon-grid-4{ grid-template-columns: repeat(1, 1fr); }
    .icon-grid-5{grid-template-columns: repeat(1, 1fr);}
    .icon-grid-6{ grid-template-columns: repeat(1, 1fr); }
    .icon-style-1 .icon-wrap .icon-text{
        position: relative;
        background:transparent;
        padding: 0;
        opacity: 1;
        height: auto;
    }
    .icon-style-1 .icon-wrap:hover .icon-text{opacity: 1;}
    .icon-style-1 .icon-wrap .icon-text h4{margin:10px 0 0;}
    .icon-style-1 .icon-wrap:hover .icon-img{scale: 1;}    
    .icon-links-grid{
        grid-template-columns: 100%;
     }
}

@media only screen 
  and (min-width: 769px) 
  and (max-width: 1023px) 
{ 
    .icon-grid-2{grid-template-columns: repeat(2, 1fr);}
    .icon-grid-3{grid-template-columns: repeat(2, 1fr);}
    .icon-grid-4{grid-template-columns: repeat(2, 1fr);}
    .icon-grid-5{grid-template-columns: repeat(2, 1fr);}
    .icon-grid-6{grid-template-columns: repeat(2, 1fr); }
    .icon-style-1 .icon-wrap .icon-text{padding: 10px;}
    .icon-text h4{font-size: 18px;}
}

@media only screen 
  and (min-width: 1024px) 
  and (max-width: 1100px) 
{ 
    .icon-text h4{font-size: 18px;}
}